%define ver 2_1

Summary:	ReportLab library to create PDF documents using Python
Name:		python-reportlab
Version:	2.4
Release:	%mkrel 1
URL:		http://www.reportlab.org/
# Upstream tarball with Odyssey text and non-free font files replaced
# Changes copied from Debian package - AdamW 2008/02
Source0:	http://www.reportlab.org/ftp/ReportLab_%{ver}-fontclean.tar.lzma
Source1:	rl_accel-0.61-daily-unix.tgz
# From Debian, rediffed: changes source to use the free replacement 
# fonts - AdamW 2008/02
Patch0:		python-reportlab-2.1-fontclean.patch
License:	BSD
Group:		Publishing
BuildRoot:	%{_tmppath}/%{name}-buildroot
%py_requires -d

%description
ReportLab is a library that lets you directly create documents in
Adobe's Portable Document Format (PDF) using the Python programming
language.

ReportLab library creates PDF based on graphics commands without
intervening steps. It's therefore extremely fast, and flexible (since
you're using a full-blown programming language).

Sample use cases are:

  * Dynamic PDF generation on the web
  * High-volume corporate reporting and database publishing
  * As embeddable print engine for other applications, including a
    'report language' so that users can customize their own reports.
  * As 'build system' for complex documents with charts, tables and text
    such as management accounts, statistical reports and scientific papers
  * from XML to PDF in one step

%prep
%setup -q -n reportlab_%{ver}
%patch0 -p0 -b .fontclean
tar zxf %{SOURCE1}
mv rl_accel*/rl_accel reportlab/
find . -type f | xargs perl -p -i -e 's@#!/bin/env python@#!/usr/bin/env python@'

%build
cd reportlab
python setup.py build

%install
rm -rf %{buildroot}
cd reportlab
python setup.py install --root=%{buildroot} --compile --optimize=2
#cd %{buildroot}%_libdir/python*
#tar c reportlab | tar x -C site-packages
#rm -rf reportlab

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc reportlab/license.txt reportlab/README 
%{py_platsitedir}/*


%changelog
* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.4-1mdv2010.1
+ Revision: 496371
- update to new version 2.4

* Tue Oct 06 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.3-2mdv2010.0
+ Revision: 454778
- do not package huge doc

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3-1mdv2010.0
+ Revision: 384256
- update to new version 2.3

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 2.2-2mdv2009.1
+ Revision: 318902
- rediff fontclean patch
- rebuild for new python

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-1mdv2009.1
+ Revision: 305869
- update to new version 2.2

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1-3mdv2009.0
+ Revision: 225140
- rebuild

* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.org> 2.1-2mdv2008.1
+ Revision: 176412
- tweak install command to pre-generate .pyo as well as .pyc files
- add fontclean.patch: uses the free replacement fonts (#38254)
- use modified tarball with non-free Odyssey translation and non-free fonts replaced (#38254)
- spec clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Lev Givon <lev@mandriva.org> 2.1-1mdv2008.1
+ Revision: 99385
- Update to 2.1.

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2008.0
+ Revision: 55866
- update to new version 2.0


* Tue Dec 05 2006 Michael Scherer <misc@mandriva.org> 1.19-5mdv2007.0
+ Revision: 91357
- rebuild for new python, fix file listing, as it is not a noarch package

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new python
    - import python-reportlab-1.19-3mdk

